<?php
/* Autor...:  */
/* Esquema.: VTA_OrdenDetalle.xml */
/* Generado: 2022-02-07 02:14:15 */

/* Metodos de acceso a los campos de la tabla VTA_OrdenDetalle */
abstract class BaseVTA_OrdenDetalleBN
{
    /* Campos de la tabla */
    private $i_OrdenId;    // OrdenId: ( no definido )
    private $i_OrdenDetalleNum;    // OrdenDetalleNum: ( no definido )
    private $s_ItemTipo;    // ItemTipo: ( no definido )
    private $s_ItemCod;    // ItemCod: ( no definido )
    private $s_AlmacenCod;    // AlmacenCod: ( no definido )
    private $s_LoteNum;    // LoteNum: ( no definido )
    private $d_FechaVencimiento;    // FechaVencimiento: ( no definido )
    private $i_IdUnidad;    // IdUnidad: ( no definido )
    private $s_IdItemTipo;    // IdItemTipo: ( no definido )
    private $s_OrdenDetalleDescripcion;    // OrdenDetalleDescripcion: ( no definido )
    private $s_OrdenDetallePrecioNivel;    // OrdenDetallePrecioNivel: ( no definido )
    private $f_CostoUnidadIncImpuesto;    // CostoUnidadIncImpuesto: ( no definido )
    private $f_CostoUnidadIncImpuestoMN;    // CostoUnidadIncImpuestoMN: ( no definido )
    private $f_OrdenDetallePrecioUnidad;    // OrdenDetallePrecioUnidad: ( no definido )
    private $f_OrdenDetallePrecioUnidadMN;    // OrdenDetallePrecioUnidadMN: ( no definido )
    private $f_OrdenDetalleDsctoUnidad;    // OrdenDetalleDsctoUnidad: ( no definido )
    private $f_OrdenDetalleDsctoUnidadMN;    // OrdenDetalleDsctoUnidadMN: ( no definido )
    private $s_OrdenDetalleAfectoImpuesto;    // OrdenDetalleAfectoImpuesto: ( no definido )
    private $f_OrdenDetalleImpuestoUnidad;    // OrdenDetalleImpuestoUnidad: ( no definido )
    private $f_OrdenDetalleImpuestoUnidadMN;    // OrdenDetalleImpuestoUnidadMN: ( no definido )
    private $f_PrecioUnidadIncImpuesto;    // PrecioUnidadIncImpuesto: ( no definido )
    private $f_PrecioUnidadIncImpuestoMN;    // PrecioUnidadIncImpuestoMN: ( no definido )
    private $f_OrdenDetalleCantidad;    // OrdenDetalleCantidad: ( no definido )
    private $f_OrdenDetalleSubTotalVenta;    // OrdenDetalleSubTotalVenta: ( no definido )
    private $f_OrdenDetalleSubTotalVentaMN;    // OrdenDetalleSubTotalVentaMN: ( no definido )
    private $f_OrdenDetalleSubTotalImpuesto;    // OrdenDetalleSubTotalImpuesto: ( no definido )
    private $f_OrdenDetalleSubTotalImpuestoMN;    // OrdenDetalleSubTotalImpuestoMN: ( no definido )
    private $f_OrdenDetalleSubTotalNeto;    // OrdenDetalleSubTotalNeto: ( no definido )
    private $f_OrdenDetalleSubTotalNetoMN;    // OrdenDetalleSubTotalNetoMN: ( no definido )
    private $s_DocRefTipoCod;    // DocRefTipoCod: ( no definido )
    private $s_DocRefNum;    // DocRefNum: ( no definido )
    private $i_DocRefId;    // DocRefId: ( no definido )
    private $s_OrdenDetalleObs;    // OrdenDetalleObs: ( no definido )
    private $s_OrdenDetalleEstado;    // OrdenDetalleEstado: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )

    /* Establece el valor del campo OrdenId */
    public function setOrdenId( $i_OrdenId )
    {
        $this->i_OrdenId = $i_OrdenId;
    }

    /* Obtiene el valor del campo OrdenId */
    public function getOrdenId()
    {
        return $this->i_OrdenId;
    }

    /* Establece el valor del campo OrdenDetalleNum */
    public function setOrdenDetalleNum( $i_OrdenDetalleNum )
    {
        $this->i_OrdenDetalleNum = $i_OrdenDetalleNum;
    }

    /* Obtiene el valor del campo OrdenDetalleNum */
    public function getOrdenDetalleNum()
    {
        return $this->i_OrdenDetalleNum;
    }

    /* Establece el valor del campo ItemTipo */
    public function setItemTipo( $s_ItemTipo )
    {
        $this->s_ItemTipo = $s_ItemTipo;
    }

    /* Obtiene el valor del campo ItemTipo */
    public function getItemTipo()
    {
        return $this->s_ItemTipo;
    }

    /* Establece el valor del campo ItemCod */
    public function setItemCod( $s_ItemCod )
    {
        $this->s_ItemCod = $s_ItemCod;
    }

    /* Obtiene el valor del campo ItemCod */
    public function getItemCod()
    {
        return $this->s_ItemCod;
    }

    /* Establece el valor del campo AlmacenCod */
    public function setAlmacenCod( $s_AlmacenCod )
    {
        $this->s_AlmacenCod = $s_AlmacenCod;
    }

    /* Obtiene el valor del campo AlmacenCod */
    public function getAlmacenCod()
    {
        return $this->s_AlmacenCod;
    }

    /* Establece el valor del campo LoteNum */
    public function setLoteNum( $s_LoteNum )
    {
        $this->s_LoteNum = $s_LoteNum;
    }

    /* Obtiene el valor del campo LoteNum */
    public function getLoteNum()
    {
        return $this->s_LoteNum;
    }

    /* Establece el valor del campo FechaVencimiento */
    public function setFechaVencimiento( $d_FechaVencimiento )
    {
        $this->d_FechaVencimiento = $d_FechaVencimiento;
    }

    /* Obtiene el valor del campo FechaVencimiento */
    public function getFechaVencimiento()
    {
        return $this->d_FechaVencimiento;
    }

    /* Establece el valor del campo IdUnidad */
    public function setIdUnidad( $i_IdUnidad )
    {
        $this->i_IdUnidad = $i_IdUnidad;
    }

    /* Obtiene el valor del campo IdUnidad */
    public function getIdUnidad()
    {
        return $this->i_IdUnidad;
    }

    /* Establece el valor del campo IdItemTipo */
    public function setIdItemTipo( $s_IdItemTipo )
    {
        $this->s_IdItemTipo = $s_IdItemTipo;
    }

    /* Obtiene el valor del campo IdItemTipo */
    public function getIdItemTipo()
    {
        return $this->s_IdItemTipo;
    }

    /* Establece el valor del campo OrdenDetalleDescripcion */
    public function setOrdenDetalleDescripcion( $s_OrdenDetalleDescripcion )
    {
        $this->s_OrdenDetalleDescripcion = $s_OrdenDetalleDescripcion;
    }

    /* Obtiene el valor del campo OrdenDetalleDescripcion */
    public function getOrdenDetalleDescripcion()
    {
        return $this->s_OrdenDetalleDescripcion;
    }

    /* Establece el valor del campo OrdenDetallePrecioNivel */
    public function setOrdenDetallePrecioNivel( $s_OrdenDetallePrecioNivel )
    {
        $this->s_OrdenDetallePrecioNivel = $s_OrdenDetallePrecioNivel;
    }

    /* Obtiene el valor del campo OrdenDetallePrecioNivel */
    public function getOrdenDetallePrecioNivel()
    {
        return $this->s_OrdenDetallePrecioNivel;
    }

    /* Establece el valor del campo CostoUnidadIncImpuesto */
    public function setCostoUnidadIncImpuesto( $f_CostoUnidadIncImpuesto )
    {
        $this->f_CostoUnidadIncImpuesto = $f_CostoUnidadIncImpuesto;
    }

    /* Obtiene el valor del campo CostoUnidadIncImpuesto */
    public function getCostoUnidadIncImpuesto()
    {
        return $this->f_CostoUnidadIncImpuesto;
    }

    /* Establece el valor del campo CostoUnidadIncImpuestoMN */
    public function setCostoUnidadIncImpuestoMN( $f_CostoUnidadIncImpuestoMN )
    {
        $this->f_CostoUnidadIncImpuestoMN = $f_CostoUnidadIncImpuestoMN;
    }

    /* Obtiene el valor del campo CostoUnidadIncImpuestoMN */
    public function getCostoUnidadIncImpuestoMN()
    {
        return $this->f_CostoUnidadIncImpuestoMN;
    }

    /* Establece el valor del campo OrdenDetallePrecioUnidad */
    public function setOrdenDetallePrecioUnidad( $f_OrdenDetallePrecioUnidad )
    {
        $this->f_OrdenDetallePrecioUnidad = $f_OrdenDetallePrecioUnidad;
    }

    /* Obtiene el valor del campo OrdenDetallePrecioUnidad */
    public function getOrdenDetallePrecioUnidad()
    {
        return $this->f_OrdenDetallePrecioUnidad;
    }

    /* Establece el valor del campo OrdenDetallePrecioUnidadMN */
    public function setOrdenDetallePrecioUnidadMN( $f_OrdenDetallePrecioUnidadMN )
    {
        $this->f_OrdenDetallePrecioUnidadMN = $f_OrdenDetallePrecioUnidadMN;
    }

    /* Obtiene el valor del campo OrdenDetallePrecioUnidadMN */
    public function getOrdenDetallePrecioUnidadMN()
    {
        return $this->f_OrdenDetallePrecioUnidadMN;
    }

    /* Establece el valor del campo OrdenDetalleDsctoUnidad */
    public function setOrdenDetalleDsctoUnidad( $f_OrdenDetalleDsctoUnidad )
    {
        $this->f_OrdenDetalleDsctoUnidad = $f_OrdenDetalleDsctoUnidad;
    }

    /* Obtiene el valor del campo OrdenDetalleDsctoUnidad */
    public function getOrdenDetalleDsctoUnidad()
    {
        return $this->f_OrdenDetalleDsctoUnidad;
    }

    /* Establece el valor del campo OrdenDetalleDsctoUnidadMN */
    public function setOrdenDetalleDsctoUnidadMN( $f_OrdenDetalleDsctoUnidadMN )
    {
        $this->f_OrdenDetalleDsctoUnidadMN = $f_OrdenDetalleDsctoUnidadMN;
    }

    /* Obtiene el valor del campo OrdenDetalleDsctoUnidadMN */
    public function getOrdenDetalleDsctoUnidadMN()
    {
        return $this->f_OrdenDetalleDsctoUnidadMN;
    }

    /* Establece el valor del campo OrdenDetalleAfectoImpuesto */
    public function setOrdenDetalleAfectoImpuesto( $s_OrdenDetalleAfectoImpuesto )
    {
        $this->s_OrdenDetalleAfectoImpuesto = $s_OrdenDetalleAfectoImpuesto;
    }

    /* Obtiene el valor del campo OrdenDetalleAfectoImpuesto */
    public function getOrdenDetalleAfectoImpuesto()
    {
        return $this->s_OrdenDetalleAfectoImpuesto;
    }

    /* Establece el valor del campo OrdenDetalleImpuestoUnidad */
    public function setOrdenDetalleImpuestoUnidad( $f_OrdenDetalleImpuestoUnidad )
    {
        $this->f_OrdenDetalleImpuestoUnidad = $f_OrdenDetalleImpuestoUnidad;
    }

    /* Obtiene el valor del campo OrdenDetalleImpuestoUnidad */
    public function getOrdenDetalleImpuestoUnidad()
    {
        return $this->f_OrdenDetalleImpuestoUnidad;
    }

    /* Establece el valor del campo OrdenDetalleImpuestoUnidadMN */
    public function setOrdenDetalleImpuestoUnidadMN( $f_OrdenDetalleImpuestoUnidadMN )
    {
        $this->f_OrdenDetalleImpuestoUnidadMN = $f_OrdenDetalleImpuestoUnidadMN;
    }

    /* Obtiene el valor del campo OrdenDetalleImpuestoUnidadMN */
    public function getOrdenDetalleImpuestoUnidadMN()
    {
        return $this->f_OrdenDetalleImpuestoUnidadMN;
    }

    /* Establece el valor del campo PrecioUnidadIncImpuesto */
    public function setPrecioUnidadIncImpuesto( $f_PrecioUnidadIncImpuesto )
    {
        $this->f_PrecioUnidadIncImpuesto = $f_PrecioUnidadIncImpuesto;
    }

    /* Obtiene el valor del campo PrecioUnidadIncImpuesto */
    public function getPrecioUnidadIncImpuesto()
    {
        return $this->f_PrecioUnidadIncImpuesto;
    }

    /* Establece el valor del campo PrecioUnidadIncImpuestoMN */
    public function setPrecioUnidadIncImpuestoMN( $f_PrecioUnidadIncImpuestoMN )
    {
        $this->f_PrecioUnidadIncImpuestoMN = $f_PrecioUnidadIncImpuestoMN;
    }

    /* Obtiene el valor del campo PrecioUnidadIncImpuestoMN */
    public function getPrecioUnidadIncImpuestoMN()
    {
        return $this->f_PrecioUnidadIncImpuestoMN;
    }

    /* Establece el valor del campo OrdenDetalleCantidad */
    public function setOrdenDetalleCantidad( $f_OrdenDetalleCantidad )
    {
        $this->f_OrdenDetalleCantidad = $f_OrdenDetalleCantidad;
    }

    /* Obtiene el valor del campo OrdenDetalleCantidad */
    public function getOrdenDetalleCantidad()
    {
        return $this->f_OrdenDetalleCantidad;
    }

    /* Establece el valor del campo OrdenDetalleSubTotalVenta */
    public function setOrdenDetalleSubTotalVenta( $f_OrdenDetalleSubTotalVenta )
    {
        $this->f_OrdenDetalleSubTotalVenta = $f_OrdenDetalleSubTotalVenta;
    }

    /* Obtiene el valor del campo OrdenDetalleSubTotalVenta */
    public function getOrdenDetalleSubTotalVenta()
    {
        return $this->f_OrdenDetalleSubTotalVenta;
    }

    /* Establece el valor del campo OrdenDetalleSubTotalVentaMN */
    public function setOrdenDetalleSubTotalVentaMN( $f_OrdenDetalleSubTotalVentaMN )
    {
        $this->f_OrdenDetalleSubTotalVentaMN = $f_OrdenDetalleSubTotalVentaMN;
    }

    /* Obtiene el valor del campo OrdenDetalleSubTotalVentaMN */
    public function getOrdenDetalleSubTotalVentaMN()
    {
        return $this->f_OrdenDetalleSubTotalVentaMN;
    }

    /* Establece el valor del campo OrdenDetalleSubTotalImpuesto */
    public function setOrdenDetalleSubTotalImpuesto( $f_OrdenDetalleSubTotalImpuesto )
    {
        $this->f_OrdenDetalleSubTotalImpuesto = $f_OrdenDetalleSubTotalImpuesto;
    }

    /* Obtiene el valor del campo OrdenDetalleSubTotalImpuesto */
    public function getOrdenDetalleSubTotalImpuesto()
    {
        return $this->f_OrdenDetalleSubTotalImpuesto;
    }

    /* Establece el valor del campo OrdenDetalleSubTotalImpuestoMN */
    public function setOrdenDetalleSubTotalImpuestoMN( $f_OrdenDetalleSubTotalImpuestoMN )
    {
        $this->f_OrdenDetalleSubTotalImpuestoMN = $f_OrdenDetalleSubTotalImpuestoMN;
    }

    /* Obtiene el valor del campo OrdenDetalleSubTotalImpuestoMN */
    public function getOrdenDetalleSubTotalImpuestoMN()
    {
        return $this->f_OrdenDetalleSubTotalImpuestoMN;
    }

    /* Establece el valor del campo OrdenDetalleSubTotalNeto */
    public function setOrdenDetalleSubTotalNeto( $f_OrdenDetalleSubTotalNeto )
    {
        $this->f_OrdenDetalleSubTotalNeto = $f_OrdenDetalleSubTotalNeto;
    }

    /* Obtiene el valor del campo OrdenDetalleSubTotalNeto */
    public function getOrdenDetalleSubTotalNeto()
    {
        return $this->f_OrdenDetalleSubTotalNeto;
    }

    /* Establece el valor del campo OrdenDetalleSubTotalNetoMN */
    public function setOrdenDetalleSubTotalNetoMN( $f_OrdenDetalleSubTotalNetoMN )
    {
        $this->f_OrdenDetalleSubTotalNetoMN = $f_OrdenDetalleSubTotalNetoMN;
    }

    /* Obtiene el valor del campo OrdenDetalleSubTotalNetoMN */
    public function getOrdenDetalleSubTotalNetoMN()
    {
        return $this->f_OrdenDetalleSubTotalNetoMN;
    }

    /* Establece el valor del campo DocRefTipoCod */
    public function setDocRefTipoCod( $s_DocRefTipoCod )
    {
        $this->s_DocRefTipoCod = $s_DocRefTipoCod;
    }

    /* Obtiene el valor del campo DocRefTipoCod */
    public function getDocRefTipoCod()
    {
        return $this->s_DocRefTipoCod;
    }

    /* Establece el valor del campo DocRefNum */
    public function setDocRefNum( $s_DocRefNum )
    {
        $this->s_DocRefNum = $s_DocRefNum;
    }

    /* Obtiene el valor del campo DocRefNum */
    public function getDocRefNum()
    {
        return $this->s_DocRefNum;
    }

    /* Establece el valor del campo DocRefId */
    public function setDocRefId( $i_DocRefId )
    {
        $this->i_DocRefId = $i_DocRefId;
    }

    /* Obtiene el valor del campo DocRefId */
    public function getDocRefId()
    {
        return $this->i_DocRefId;
    }

    /* Establece el valor del campo OrdenDetalleObs */
    public function setOrdenDetalleObs( $s_OrdenDetalleObs )
    {
        $this->s_OrdenDetalleObs = $s_OrdenDetalleObs;
    }

    /* Obtiene el valor del campo OrdenDetalleObs */
    public function getOrdenDetalleObs()
    {
        return $this->s_OrdenDetalleObs;
    }

    /* Establece el valor del campo OrdenDetalleEstado */
    public function setOrdenDetalleEstado( $s_OrdenDetalleEstado )
    {
        $this->s_OrdenDetalleEstado = $s_OrdenDetalleEstado;
    }

    /* Obtiene el valor del campo OrdenDetalleEstado */
    public function getOrdenDetalleEstado()
    {
        return $this->s_OrdenDetalleEstado;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'OrdenId' => $this->getOrdenId(),
            'OrdenDetalleNum' => $this->getOrdenDetalleNum(),
            'ItemTipo' => $this->getItemTipo(),
            'ItemCod' => $this->getItemCod(),
            'AlmacenCod' => $this->getAlmacenCod(),
            'LoteNum' => $this->getLoteNum(),
            'FechaVencimiento' => $this->getFechaVencimiento(),
            'IdUnidad' => $this->getIdUnidad(),
            'IdItemTipo' => $this->getIdItemTipo(),
            'OrdenDetalleDescripcion' => $this->getOrdenDetalleDescripcion(),
            'OrdenDetallePrecioNivel' => $this->getOrdenDetallePrecioNivel(),
            'CostoUnidadIncImpuesto' => $this->getCostoUnidadIncImpuesto(),
            'CostoUnidadIncImpuestoMN' => $this->getCostoUnidadIncImpuestoMN(),
            'OrdenDetallePrecioUnidad' => $this->getOrdenDetallePrecioUnidad(),
            'OrdenDetallePrecioUnidadMN' => $this->getOrdenDetallePrecioUnidadMN(),
            'OrdenDetalleDsctoUnidad' => $this->getOrdenDetalleDsctoUnidad(),
            'OrdenDetalleDsctoUnidadMN' => $this->getOrdenDetalleDsctoUnidadMN(),
            'OrdenDetalleAfectoImpuesto' => $this->getOrdenDetalleAfectoImpuesto(),
            'OrdenDetalleImpuestoUnidad' => $this->getOrdenDetalleImpuestoUnidad(),
            'OrdenDetalleImpuestoUnidadMN' => $this->getOrdenDetalleImpuestoUnidadMN(),
            'PrecioUnidadIncImpuesto' => $this->getPrecioUnidadIncImpuesto(),
            'PrecioUnidadIncImpuestoMN' => $this->getPrecioUnidadIncImpuestoMN(),
            'OrdenDetalleCantidad' => $this->getOrdenDetalleCantidad(),
            'OrdenDetalleSubTotalVenta' => $this->getOrdenDetalleSubTotalVenta(),
            'OrdenDetalleSubTotalVentaMN' => $this->getOrdenDetalleSubTotalVentaMN(),
            'OrdenDetalleSubTotalImpuesto' => $this->getOrdenDetalleSubTotalImpuesto(),
            'OrdenDetalleSubTotalImpuestoMN' => $this->getOrdenDetalleSubTotalImpuestoMN(),
            'OrdenDetalleSubTotalNeto' => $this->getOrdenDetalleSubTotalNeto(),
            'OrdenDetalleSubTotalNetoMN' => $this->getOrdenDetalleSubTotalNetoMN(),
            'DocRefTipoCod' => $this->getDocRefTipoCod(),
            'DocRefNum' => $this->getDocRefNum(),
            'DocRefId' => $this->getDocRefId(),
            'OrdenDetalleObs' => $this->getOrdenDetalleObs(),
            'OrdenDetalleEstado' => $this->getOrdenDetalleEstado(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto VTA_OrdenDetalleBN desde un RecordSet */
    public static function retrieveByRs( $o_VTA_OrdenDetalleRs )
    {
        $o_VTA_OrdenDetalleBN = new VTA_OrdenDetalleBN();
        $o_VTA_OrdenDetalleBN->setOrdenId( ( integer ) $o_VTA_OrdenDetalleRs[ "OrdenId" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleNum( ( integer ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleNum" ] );
        $o_VTA_OrdenDetalleBN->setItemTipo( $o_VTA_OrdenDetalleRs[ "ItemTipo" ] );
        $o_VTA_OrdenDetalleBN->setItemCod( $o_VTA_OrdenDetalleRs[ "ItemCod" ] );
        $o_VTA_OrdenDetalleBN->setAlmacenCod( $o_VTA_OrdenDetalleRs[ "AlmacenCod" ] );
        $o_VTA_OrdenDetalleBN->setLoteNum( $o_VTA_OrdenDetalleRs[ "LoteNum" ] );
        $o_VTA_OrdenDetalleBN->setFechaVencimiento( utilTimestamp::getTimestamp( $o_VTA_OrdenDetalleRs[ "FechaVencimiento" ], "Y-m-d" ) );
        $o_VTA_OrdenDetalleBN->setIdUnidad( ( integer ) $o_VTA_OrdenDetalleRs[ "IdUnidad" ] );
        $o_VTA_OrdenDetalleBN->setIdItemTipo( $o_VTA_OrdenDetalleRs[ "IdItemTipo" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleDescripcion( $o_VTA_OrdenDetalleRs[ "OrdenDetalleDescripcion" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetallePrecioNivel( $o_VTA_OrdenDetalleRs[ "OrdenDetallePrecioNivel" ] );
        $o_VTA_OrdenDetalleBN->setCostoUnidadIncImpuesto( ( float ) $o_VTA_OrdenDetalleRs[ "CostoUnidadIncImpuesto" ] );
        $o_VTA_OrdenDetalleBN->setCostoUnidadIncImpuestoMN( ( float ) $o_VTA_OrdenDetalleRs[ "CostoUnidadIncImpuestoMN" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetallePrecioUnidad( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetallePrecioUnidad" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetallePrecioUnidadMN( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetallePrecioUnidadMN" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleDsctoUnidad( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleDsctoUnidad" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleDsctoUnidadMN( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleDsctoUnidadMN" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleAfectoImpuesto( $o_VTA_OrdenDetalleRs[ "OrdenDetalleAfectoImpuesto" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleImpuestoUnidad( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleImpuestoUnidad" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleImpuestoUnidadMN( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleImpuestoUnidadMN" ] );
        $o_VTA_OrdenDetalleBN->setPrecioUnidadIncImpuesto( ( float ) $o_VTA_OrdenDetalleRs[ "PrecioUnidadIncImpuesto" ] );
        $o_VTA_OrdenDetalleBN->setPrecioUnidadIncImpuestoMN( ( float ) $o_VTA_OrdenDetalleRs[ "PrecioUnidadIncImpuestoMN" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleCantidad( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleCantidad" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleSubTotalVenta( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleSubTotalVenta" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleSubTotalVentaMN( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleSubTotalVentaMN" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleSubTotalImpuesto( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleSubTotalImpuesto" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleSubTotalImpuestoMN( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleSubTotalImpuestoMN" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleSubTotalNeto( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleSubTotalNeto" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleSubTotalNetoMN( ( float ) $o_VTA_OrdenDetalleRs[ "OrdenDetalleSubTotalNetoMN" ] );
        $o_VTA_OrdenDetalleBN->setDocRefTipoCod( $o_VTA_OrdenDetalleRs[ "DocRefTipoCod" ] );
        $o_VTA_OrdenDetalleBN->setDocRefNum( $o_VTA_OrdenDetalleRs[ "DocRefNum" ] );
        $o_VTA_OrdenDetalleBN->setDocRefId( ( integer ) $o_VTA_OrdenDetalleRs[ "DocRefId" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleObs( $o_VTA_OrdenDetalleRs[ "OrdenDetalleObs" ] );
        $o_VTA_OrdenDetalleBN->setOrdenDetalleEstado( $o_VTA_OrdenDetalleRs[ "OrdenDetalleEstado" ] );
        $o_VTA_OrdenDetalleBN->setUsuarioCreacion( $o_VTA_OrdenDetalleRs[ "UsuarioCreacion" ] );
        $o_VTA_OrdenDetalleBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_VTA_OrdenDetalleRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_VTA_OrdenDetalleBN->setUsuarioModificacion( $o_VTA_OrdenDetalleRs[ "UsuarioModificacion" ] );
        $o_VTA_OrdenDetalleBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_VTA_OrdenDetalleRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        return $o_VTA_OrdenDetalleBN;
    }
}
?>